aboutsummaryrefslogtreecommitdiff
path: root/subprojects/freeamo/src/unmaintained/make-collection-list
diff options
context:
space:
mode:
Diffstat (limited to 'subprojects/freeamo/src/unmaintained/make-collection-list')
-rw-r--r--subprojects/freeamo/src/unmaintained/make-collection-list25
1 files changed, 25 insertions, 0 deletions
diff --git a/subprojects/freeamo/src/unmaintained/make-collection-list b/subprojects/freeamo/src/unmaintained/make-collection-list
new file mode 100644
index 0000000..f311129
--- /dev/null
+++ b/subprojects/freeamo/src/unmaintained/make-collection-list
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# This file is part of FreeAMO
+# Copyright (C) 2018 David Hedlund
+#
+# FreeAMO is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# FreeAMO is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+cd build/ || exit
+for i in $(cat ../FreeAMO-collections); do
+
+ # https://addons.mozilla.org/en-US/firefox/collections/DavidHedlund/webextensions/format%3Ajson
+ collection_name=$(echo $i | sed "s|https://addons.mozilla.org/en-US/firefox/collections/||; s|/|-|; s|/$||");
+ wget $i"format%3Ajson" -O "collection-$collection_name.json"
+
+done